EDIT - feature request #8226

make modifiers for description elements configurable

04/08/2019 03:25 PM - Katja Luther

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.11

Severity: normal

Description

Related issues:

Related to EDIT - feature request #3836: Implement modifiers and modifying te... Closed
Related to EDIT - feature request #8236: [DISCUSS] Should recommended modifie... New

Associated revisions

Revision 6730fa80 - 09/25/2019 01:59 PM - Katja Luther

ref #8226: add new preferencePredicate for modifiers

Revision e056e66e - 09/25/2019 02:04 PM - Katja Luther

fix #8226: add new preferences for modifiers

Revision 6e9bf931 - 11/04/2019 10:48 AM - Katja Luther
ref #8226: fix show modifier

History

#1 - 04/08/2019 03:26 PM - Katja Luther

- Related to feature request #3836: Implement modifiers and modifying text for Description Elements in TaxEditor added

#2 - 04/08/2019 03:36 PM - Andreas Miiller
copied from #3836

We may also discuss if the modifiers should only be shown if the recommended modifier enumeration is not empty.

Also we may want to make modifers configurable (show only if switched on) as some projects may consider them as not necessary.

#3 - 04/10/2019 03:42 PM - Andreas Miuller

- Related to feature request #8236: [DISCUSS] Should recommended modifiers also hold for DescriptionElements added

#4 - 05/03/2019 04:52 PM - Katja Luther

- Target version changed from Release 5.7 to Release 5.8

#5 - 07/19/2019 03:14 PM - Andreas Miuller

- Target version changed from Release 5.8 to Release 5.10

#6 - 09/17/2019 03:00 PM - Katja Luther

- Target version changed from Release 5.10 to Release 5.11

#7 - 09/25/2019 02:06 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|e056e66eb1fd2b32b4f2fa71bed1ce0496c6af22.
https://dev.e-taxonomy.eu/redmine/issues/3836
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/e056e66eb1fd2b32b4f2fa71bed1ce0496c6af22

#8 - 09/25/2019 02:06 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller
- Target version deleted (Release 5.11)

- Severity changed from normal to blocker

please review

#9 - 09/25/2019 08:59 PM - Andreas Miiller

- Target version set to Release 5.11

why did you remove the target version? On purpose?

#10 - 11/01/2019 11:19 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- Severity changed from blocker to normal

Does not seem to work. If | have all switched on the modifiers do stil not show up.

#11 - 11/04/2019 10:49 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

now it should work.

#12 - 11/04/2019 03:44 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100

Yes, this works now (except for the issue to be solved in #8236, but this is another ticket)
